summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-10-18 18:48:55 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-10-18 18:48:55 +0000
commit4b84499909f58c42b3ab7d326a130710ecdc4a9a (patch)
tree136eed1670e976ae06ebdbe551e2872136639155 /dev-python
parent06cb8f3c3edf349683316295fafc6191ddf620d9 (diff)
downloadbaldeagleos-repo-4b84499909f58c42b3ab7d326a130710ecdc4a9a.tar.gz
baldeagleos-repo-4b84499909f58c42b3ab7d326a130710ecdc4a9a.tar.xz
baldeagleos-repo-4b84499909f58c42b3ab7d326a130710ecdc4a9a.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/bottleneck/Manifest1
-rw-r--r--dev-python/bottleneck/bottleneck-1.4.2.ebuild50
-rw-r--r--dev-python/flask-caching/flask-caching-2.3.0.ebuild2
-rw-r--r--dev-python/flask-compress/flask-compress-1.17.ebuild2
-rw-r--r--dev-python/griffe/Manifest1
-rw-r--r--dev-python/griffe/griffe-1.5.1.ebuild49
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch13
-rw-r--r--dev-python/langdetect/langdetect-1.0.9.ebuild4
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/markupsafe/Manifest1
-rw-r--r--dev-python/markupsafe/markupsafe-3.0.1.ebuild9
-rw-r--r--dev-python/markupsafe/markupsafe-3.0.2.ebuild43
-rw-r--r--dev-python/openstacksdk/Manifest1
-rw-r--r--dev-python/openstacksdk/openstacksdk-4.1.0.ebuild91
-rw-r--r--dev-python/psutil/Manifest1
-rw-r--r--dev-python/psutil/psutil-6.1.0.ebuild81
-rw-r--r--dev-python/pyclipper/Manifest1
-rw-r--r--dev-python/pyclipper/pyclipper-1.3.0_p6.ebuild35
-rw-r--r--dev-python/pyproject-fmt/metadata.xml1
-rw-r--r--dev-python/python-openstackclient/Manifest1
-rw-r--r--dev-python/python-openstackclient/python-openstackclient-7.2.0.ebuild61
-rw-r--r--dev-python/simsimd/Manifest3
-rw-r--r--dev-python/simsimd/simsimd-5.6.4.ebuild64
-rw-r--r--dev-python/simsimd/simsimd-5.8.0.ebuild (renamed from dev-python/simsimd/simsimd-5.7.2.ebuild)0
25 files changed, 438 insertions, 89 deletions
diff --git a/dev-python/bottleneck/Manifest b/dev-python/bottleneck/Manifest
index 6868195fd9fb..7a45df1c5bd4 100644
--- a/dev-python/bottleneck/Manifest
+++ b/dev-python/bottleneck/Manifest
@@ -1,3 +1,4 @@
DIST bottleneck-1.4.0.tar.gz 103490 BLAKE2B c72b53bd1f4325fa53d7824e335ec50a37da7650c097bdda22548637c1e5a95bfa219dad1361dfb2eecdcf0fa1445a5c6cfb94b7472290fa6317524dc474f46c SHA512 07c1224d63a34e12488dce1f72152fdc493db904130cef46092f7f9c3218a04032e90d64dbf385069072c5d56c7ea09db15897d5c77b9d53db2e3da9414f84cc
DIST bottleneck-1.4.1rc1.tar.gz 103592 BLAKE2B 1e201ae87274e33245a56a9976d951e0040c9bb0bcca714a1b5dcd5b2e40a782dfa0ee09dbb7743e803fe5bd6c1c074abff24408d68bd3dd00050fb8d6e07ab3 SHA512 5ba05a852833f1eae3b5b5d96125484011faa08cc6556cdbadc668ef3c5efde406ff5432235de2ef65bb6ce3ca9f8aab159e33b2ddbfb8566638dfa9746f9ef0
DIST bottleneck-1.4.1rc3.tar.gz 103545 BLAKE2B 680c7efb6836cbfc31c2691e5268b3c2dc29861a8d874892a7b90681fe82e9b84acaccd67b6e4f4e5d69b11600aa251b1b7abd18b7064b28b90e9686b444d38e SHA512 ec72c21a7ed164078790c4ed8a71fa739b5b90b1f1c273e55943e6b057f399ef8215515844fbef59d8fe758ec20b2defc232f6cb7e826fbd985a78c48b8537be
+DIST bottleneck-1.4.2.tar.gz 103563 BLAKE2B a0fe43222acb63bcdf238282868c4a9acc6a8d0c3aa31d0b8ac9c38b6c4bb9e8a99e97e0227067a400b6320e52bbbbf0f29ddd5e38b32bc8c9cc995086d38e50 SHA512 6998a00375527fe77edd159311780a6551ee21dc2ef0ede7f47f6ca26542af4858df0065b2e8e82c3e5914069d0f467a770f460d04da5288d5a01ffd310d6292
diff --git a/dev-python/bottleneck/bottleneck-1.4.2.ebuild b/dev-python/bottleneck/bottleneck-1.4.2.ebuild
new file mode 100644
index 000000000000..c972ff74f8df
--- /dev/null
+++ b/dev-python/bottleneck/bottleneck-1.4.2.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN=${PN^}
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Fast NumPy array functions written in C"
+HOMEPAGE="
+ https://github.com/pydata/bottleneck/
+ https://pypi.org/project/Bottleneck/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~x64-macos"
+
+DEPEND="
+ >=dev-python/numpy-1.9.1:=[${PYTHON_USEDEP}]
+"
+RDEPEND="${DEPEND}"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # don't overwrites user's optimization level
+ sed -e '/extra_compile_args=\["-O2"\]/d' -i setup.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=()
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ # GC assumptions?
+ tests/memory_test.py::test_memory_leak
+ )
+ ;;
+ esac
+
+ rm -rf bottleneck || die
+ epytest --pyargs bottleneck
+}
diff --git a/dev-python/flask-caching/flask-caching-2.3.0.ebuild b/dev-python/flask-caching/flask-caching-2.3.0.ebuild
index b317f2e971c8..a23420c3fd48 100644
--- a/dev-python/flask-caching/flask-caching-2.3.0.ebuild
+++ b/dev-python/flask-caching/flask-caching-2.3.0.ebuild
@@ -17,7 +17,7 @@ HOMEPAGE="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64 ~arm64 ~x86"
RDEPEND="
>=dev-python/cachelib-0.9.0[${PYTHON_USEDEP}]
diff --git a/dev-python/flask-compress/flask-compress-1.17.ebuild b/dev-python/flask-compress/flask-compress-1.17.ebuild
index 5f6a144ba7b0..7b5adef81d2e 100644
--- a/dev-python/flask-compress/flask-compress-1.17.ebuild
+++ b/dev-python/flask-compress/flask-compress-1.17.ebuild
@@ -17,7 +17,7 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64 ~arm64 ~x86"
# brotli on cpython, brotlicffi on pypy3
RDEPEND="
diff --git a/dev-python/griffe/Manifest b/dev-python/griffe/Manifest
index 2390ad2d46e2..b3b676482993 100644
--- a/dev-python/griffe/Manifest
+++ b/dev-python/griffe/Manifest
@@ -1,2 +1,3 @@
DIST griffe-1.4.1.gh.tar.gz 383674 BLAKE2B d85a7c7dcc1406d361bd13b7a356b79d02d00d3bf24bb21a4f279b537d1001263b61af959ad27be50422d4cf56d5b75db79150b6d9bebfc4191217b2b9e4b09b SHA512 cb6c498daa6bce724c1cfd008e3b6c5c17ada8027a9cee58705a64739b7d049773d13fe08c7519777cb0c4870619d2b51426c2cad1d87404c6487ac10a60d703
DIST griffe-1.5.0.gh.tar.gz 385479 BLAKE2B 835c1a8798b55305673635459a8de077ae71796aaf6fcd977fae602d5214ac4ef616cf05bc364fe20f1db63d0a6f8ace74ba40e9de34acd03536cf58e302f62f SHA512 3b5a5cd8a50696293ff6046afb3259ab7bb86d7b660d263b304fc5126970b06fbfff0b6da670a977c0df27c749f97bf9699d4fcc70cca9261769206664f3b612
+DIST griffe-1.5.1.gh.tar.gz 385601 BLAKE2B 0d38626937af61000d2e0e1520353b00b103b33eccb9dc356e93615d0a85cc3a23d51cf9967e98666fbebb81368486bd1c87731ee9ea4f102586cce56abe3002 SHA512 9c4edbba478adb480aff15590c2b2a0c9619298652f34606f872088b05a60ce39d2f3ae8ca6a60c6fdc03a1e7ac1c8ec3a0ac6bae21043d349b87edd95b8e500
diff --git a/dev-python/griffe/griffe-1.5.1.ebuild b/dev-python/griffe/griffe-1.5.1.ebuild
new file mode 100644
index 000000000000..06ef983f39dd
--- /dev/null
+++ b/dev-python/griffe/griffe-1.5.1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pdm-backend
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+DESCRIPTION="Signature generator for Python programs"
+HOMEPAGE="
+ https://mkdocstrings.github.io/griffe/
+ https://github.com/mkdocstrings/griffe/
+ https://pypi.org/project/griffe/
+"
+# Tests need files absent from the PyPI tarballs
+SRC_URI="
+ https://github.com/mkdocstrings/griffe/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv"
+
+RDEPEND="
+ >=dev-python/colorama-0.4[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/backports-strenum-1.3[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ test? (
+ >=dev-python/jsonschema-4.17[${PYTHON_USEDEP}]
+ dev-python/mkdocstrings[${PYTHON_USEDEP}]
+ >=dev-python/pytest-xdist-2.4[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export PDM_BUILD_SCM_VERSION=${PV}
+
+EPYTEST_DESELECT=(
+ # fragile to installed packages
+ # (failed on PySide2 for me)
+ tests/test_stdlib.py::test_fuzzing_on_stdlib
+)
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index a11d7c268c91..37a64204a00a 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1 +1,3 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
+EBUILD langdetect-1.0.9.ebuild 494 BLAKE2B 9b3521c5721afa49a58e0c35267f7d82bb56bd7e1d6d3152be0d36cd220180a526cb20b90b1113fbf0fff4a512137570f0b3bcf864498b7b7cc00403cb61ca27 SHA512 16d311400bf84a5f04e15f3da4b68b2810e4b005009f4d03dc8a487176dfc294403c976c412c83dcfa8084a49ef7b7d5389b43fb2ba446ce107ce4595e3558c6
+MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
deleted file mode 100644
index 637368d2f237..000000000000
--- a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-Fix "Package 'langdetect.profiles' is absent from the `packages` configuration."
-
---- a/setup.py
-+++ b/setup.py
-@@ -18,7 +18,7 @@ setup(
- author_email='michal.danilak@gmail.com',
- url='https://github.com/Mimino666/langdetect',
- keywords='language detection library',
-- packages=['langdetect', 'langdetect.utils', 'langdetect.tests'],
-+ packages=['langdetect', 'langdetect.utils', 'langdetect.tests', 'langdetect.profiles'],
- include_package_data=True,
- install_requires=['six'],
- license='MIT',
diff --git a/dev-python/langdetect/langdetect-1.0.9.ebuild b/dev-python/langdetect/langdetect-1.0.9.ebuild
index eb2586280d80..56733bbffc48 100644
--- a/dev-python/langdetect/langdetect-1.0.9.ebuild
+++ b/dev-python/langdetect/langdetect-1.0.9.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022-2024 Gentoo Authors
+# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -19,6 +19,4 @@ KEYWORDS="~amd64"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
-PATCHES=( "${FILESDIR}/${P}-explicit-config.patch" )
-
distutils_enable_tests unittest
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index c0f74ac187e2..020e07f2a3dd 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -2,9 +2,11 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>pastalian46@gmail.com</email>
- <name>Takuya Wakazono</name>
+ <email>marcin.deranek@slonko.net</email>
+ <name>Marcin Deranek</name>
</maintainer>
-
- <origin>gentoo-guru-overlay</origin>
+ <upstream>
+ <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
+ </upstream>
+ <origin>slonko-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/markupsafe/Manifest b/dev-python/markupsafe/Manifest
index 27b64c396391..66b648b62703 100644
--- a/dev-python/markupsafe/Manifest
+++ b/dev-python/markupsafe/Manifest
@@ -1,3 +1,4 @@
DIST MarkupSafe-2.1.5.tar.gz 19384 BLAKE2B d6ae0e1864983f4ab92f2fd9b58a012a8c76e6f47957681d4acc362b2129d63fe4f4625600a89081afe0e99f868eb604d6c75fec88de9a18ebb32c15f091681b SHA512 3ba5af43d23c266377f5d32b11e1faa7955ea8c67eb1c32886c308527f93e75e387294d0eec7794c0c20aad0c705b27f3d1f86b04202f3b63068d12d4053cc71
DIST markupsafe-3.0.0.tar.gz 20102 BLAKE2B 26da6978f6d5c5285673f01a3ae47c45c9af94067b408142159e931e794178b5c25d8e90e9e03d3951e246dfc9ad417c374f4dbd86978ffb4fe3d8530931defe SHA512 bacfe1f18f30af0ae99842f117a309fbb583f3a05fa2cb347606f3186538cae0d9c6ad558a58a6b731542752cba66c02660d923b293aa94ea88aa7f05b9b8aeb
DIST markupsafe-3.0.1.tar.gz 20249 BLAKE2B a76817927e7240e6a450548cdb1741e5046f84d9b0e14a7f156f7fd5004157cc53da8e488660be78a22656abc7505236dfda8e3d6b0ffe606dc1b98b464fca3e SHA512 1d5342766fae024a243e12a2ad384724ec2a9ea5dfd4af1651725ef5201bcec5ca2e520720a05d05d3ca91fcdbf78e00afec6a70a73146ab29e29c6989559651
+DIST markupsafe-3.0.2.tar.gz 20537 BLAKE2B ffccc47eb4b8048aee98b61a3b9dee28eb31323563b943ad96293541467ddb3d0d63906fbbc876ee30947a10afcb580456a10d502874601ba7c4e4d63594f114 SHA512 26946b928b001933f08a5dd90c5fe424a1d9e2bccfbf7194955d031a3df54a03eb48e4e47ea9564a25da33efeb62a043a53008f551fa1e8d71321bc276e19ce2
diff --git a/dev-python/markupsafe/markupsafe-3.0.1.ebuild b/dev-python/markupsafe/markupsafe-3.0.1.ebuild
index 03a5c6f0e64f..a0b773705c3c 100644
--- a/dev-python/markupsafe/markupsafe-3.0.1.ebuild
+++ b/dev-python/markupsafe/markupsafe-3.0.1.ebuild
@@ -20,9 +20,18 @@ HOMEPAGE="
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x64-solaris"
+IUSE="+native-extensions"
distutils_enable_tests pytest
+src_prepare() {
+ distutils-r1_src_prepare
+
+ if ! use native-extensions; then
+ sed -i -e '/run_setup/s:True:False:' setup.py || die
+ fi
+}
+
python_compile() {
local -x CIBUILDWHEEL=1
distutils-r1_python_compile
diff --git a/dev-python/markupsafe/markupsafe-3.0.2.ebuild b/dev-python/markupsafe/markupsafe-3.0.2.ebuild
new file mode 100644
index 000000000000..a0b773705c3c
--- /dev/null
+++ b/dev-python/markupsafe/markupsafe-3.0.2.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN="MarkupSafe"
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Implements a XML/HTML/XHTML Markup safe string for Python"
+HOMEPAGE="
+ https://palletsprojects.com/p/markupsafe/
+ https://github.com/pallets/markupsafe/
+ https://pypi.org/project/MarkupSafe/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x64-solaris"
+IUSE="+native-extensions"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ if ! use native-extensions; then
+ sed -i -e '/run_setup/s:True:False:' setup.py || die
+ fi
+}
+
+python_compile() {
+ local -x CIBUILDWHEEL=1
+ distutils-r1_python_compile
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/openstacksdk/Manifest b/dev-python/openstacksdk/Manifest
index b4677520ddec..a9e1ba48852a 100644
--- a/dev-python/openstacksdk/Manifest
+++ b/dev-python/openstacksdk/Manifest
@@ -1 +1,2 @@
DIST openstacksdk-4.0.0.tar.gz 1228578 BLAKE2B 84b4b82a7b6d35b377d6c05d9d2e33069f76f848f79876c4d8ee940e9b6b8849acd60a1b7bea7d0fea1e9483c64ecdf6d48d5e4b68062f48d7f106c9cf250091 SHA512 bb0ebd32c442b84c8cbcfbcc7d271739814811ee5b0f61459b515bb22b00f7bb600399a7f055209bbb5001053d05133b82de2cb2a7dcc2a081cd3ce2a7c1b64a
+DIST openstacksdk-4.1.0.tar.gz 1233207 BLAKE2B d7473caa09e2ce7b4a91690a43adfd7e4aeb04e56be68f50cccce74b39368460656148656d540389538ad671205b752da0826ce74dbbf2c4078c0f999224853c SHA512 38a077d487cbdaf22e33a7dacb06ccd78145caba9a5c69afd3be49d742c87ae642440b331ececcdeb331f2d0040e49ba5f707be83972db1671728008ecd2df09
diff --git a/dev-python/openstacksdk/openstacksdk-4.1.0.ebuild b/dev-python/openstacksdk/openstacksdk-4.1.0.ebuild
new file mode 100644
index 000000000000..3a3190fe5200
--- /dev/null
+++ b/dev-python/openstacksdk/openstacksdk-4.1.0.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A collection of libraries for building applications to work with OpenStack"
+HOMEPAGE="
+ https://opendev.org/openstack/openstacksdk/
+ https://github.com/openstack/openstacksdk/
+ https://pypi.org/project/openstacksdk/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/cryptography-2.7[${PYTHON_USEDEP}]
+ >=dev-python/decorator-4.4.1[${PYTHON_USEDEP}]
+ >=dev-python/dogpile-cache-0.6.5[${PYTHON_USEDEP}]
+ >=dev-python/iso8601-0.1.11[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.9.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonpatch-1.21[${PYTHON_USEDEP}]
+ >=dev-python/keystoneauth1-3.18.0[${PYTHON_USEDEP}]
+ >=dev-python/netifaces-0.10.4[${PYTHON_USEDEP}]
+ >=dev-python/os-service-types-1.7.0[${PYTHON_USEDEP}]
+ >=dev-python/pbr-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-3[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-3.13[${PYTHON_USEDEP}]
+ >=dev-python/requestsexceptions-1.2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/pbr-2.2.0[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/ddt-1.0.1[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-6.1.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/prometheus-client-0.4.2[${PYTHON_USEDEP}]
+ >=dev-python/requests-mock-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/statsd-3.3.0[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # Internet?
+ sed -e 's:test_create_dynamic_large_object:_&:' \
+ -i openstack/tests/unit/cloud/test_object.py || die
+
+ # TODO
+ sed -e 's:test_generate_form:_&:' \
+ -e 's:test_create_static_large_object:_&:' \
+ -e 's:test_object_segment_retries:_&:' \
+ -e 's:test_object_segment_retry_failure:_&:' \
+ -e 's:test_slo_manifest_retry:_&:' \
+ -i openstack/tests/unit/cloud/test_object.py || die
+ sed -e 's:test_servers:_&:' \
+ -i openstack/tests/unit/test_stats.py || die
+
+ # unhappy about paths due to test runner
+ sed -e 's:test_method_not_supported:_&:' \
+ -i openstack/tests/unit/test_exceptions.py || die
+ sed -e 's:test_repr:_&:' \
+ -i openstack/tests/unit/test_resource.py || die
+
+ # requires hacking
+ rm openstack/tests/unit/test_hacking.py || die
+
+ # fragile warning-based tests
+ sed -e 's:test_unsupported_version_override:_&:' \
+ -i openstack/tests/unit/test_missing_version.py || die
+ sed -e 's:test_create_unknown_proxy:_&:' \
+ -i openstack/tests/unit/test_connection.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # functional tests require cloud instance access
+ eunittest -b openstack/tests/unit
+}
diff --git a/dev-python/psutil/Manifest b/dev-python/psutil/Manifest
index f53a8a83b5fb..158caa1d8d70 100644
--- a/dev-python/psutil/Manifest
+++ b/dev-python/psutil/Manifest
@@ -2,3 +2,4 @@ DIST psutil-5.9.8-tests.patch.xz 3716 BLAKE2B cf33173a0d5c6537b0de1c4858beb9ec59
DIST psutil-5.9.8.tar.gz 503247 BLAKE2B 192812d9006b9eb1a856ff8d322e6cfb320462e5dc5ee7b88869ce7f4f2277050c4867b5e3f64468bb42de0b5bde85b715b84b37842bd3f605216acf89a62a4c SHA512 6ddeed937119a930bb7b9556ff329f054e9429b8457c9a15d99cb105271297117abba587a974d02760bb8b6b244734973a676bdff6b533a53ce587858e48f337
DIST psutil-6.0.0-tests.patch.xz 3748 BLAKE2B 6e78418de8ee052e7e9f5d6bc74b8fc79e5216ed4d5fa8eb89532b19298955c388e158770b4af7b42fddc2a03b292e6d8ce9ed98c441179fb7c4a640014f2112 SHA512 3947337dbdddc29c85697d6140fc0fdcfb2b5ce7d84438e5763ad240ccd954e97fbf5dabf03ca17e959273a2c11794a41b2293434e85d2fe4d38d696c7de3900
DIST psutil-6.0.0.tar.gz 508067 BLAKE2B a4c80d1cead17ab73c99a25c4e1712cc2dd0b4220521d8dacafb905ab27393c49a8ee20790a89ebfc6c1d53779e98fe126c50f9299db1ab9a9c3df6d0a99ec48 SHA512 78ef1abe109c985ad3dd3865de5b4a7682fbad0085e5ca5bc1f2f90f03853775554b6c810cd54543cb7a1238efe345b3dcc9f5191270e03bc6a2f4088dd007ba
+DIST psutil-6.1.0.tar.gz 508565 BLAKE2B 2b5095613854c8e77e5e5ac8bb67b3d631bb29515c8d958e7cedb81a56c03d639663602f01337e191084f1511a6cb921a85394ecc8ac64af2270cf75cdc44262 SHA512 76865df4fdb2a9df45e47589b76b34d0d9d9251491091683e47b4509863e32e46dc62ee2f760b983f0f762b8288d1ea7f32268a6857c049ad12f399908e19c82
diff --git a/dev-python/psutil/psutil-6.1.0.ebuild b/dev-python/psutil/psutil-6.1.0.ebuild
new file mode 100644
index 000000000000..dfd8fd5e04bc
--- /dev/null
+++ b/dev-python/psutil/psutil-6.1.0.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Retrieve information on running processes and system utilization"
+HOMEPAGE="
+ https://github.com/giampaolo/psutil/
+ https://pypi.org/project/psutil/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # hardcoded assumptions about the test environment
+ tests/test_linux.py::TestRootFsDeviceFinder::test_disk_partitions_mocked
+ tests/test_linux.py::TestSystemDiskPartitions::test_zfs_fs
+ tests/test_linux.py::TestSystemNetIfAddrs::test_ips
+ tests/test_process.py::TestProcess::test_ionice_linux
+ tests/test_system.py::TestDiskAPIs::test_disk_partitions
+
+ # mocking is broken
+ tests/test_linux.py::TestSensorsBattery::test_emulate_energy_full_0
+ tests/test_linux.py::TestSensorsBattery::test_emulate_energy_full_not_avail
+ tests/test_linux.py::TestSensorsBattery::test_emulate_no_power
+ tests/test_linux.py::TestSensorsBattery::test_emulate_power_undetermined
+
+ # doesn't like sandbox injecting itself
+ tests/test_process.py::TestProcess::test_weird_environ
+
+ # extremely flaky
+ tests/test_linux.py::TestSystemVirtualMemoryAgainstFree::test_used
+ tests/test_linux.py::TestSystemVirtualMemoryAgainstVmstat::test_used
+
+ # nproc --all is broken?
+ tests/test_linux.py::TestSystemCPUCountLogical::test_against_nproc
+
+ # broken on some architectures
+ tests/test_linux.py::TestSystemCPUCountCores::test_method_2
+ tests/test_linux.py::TestSystemCPUCountLogical::test_emulate_fallbacks
+ tests/test_linux.py::TestSystemCPUFrequency::test_emulate_use_cpuinfo
+ tests/test_linux.py::TestSystemCPUFrequency::test_emulate_use_second_file
+
+ # broken in some setups
+ tests/test_linux.py::TestMisc::test_issue_687
+ tests/test_linux.py::TestProcessAgainstStatus::test_cpu_affinity
+ tests/test_linux.py::TestSystemCPUStats::test_interrupts
+ tests/test_posix.py::TestProcess::test_cmdline
+ tests/test_posix.py::TestProcess::test_name
+ tests/test_posix.py::TestSystemAPIs::test_users
+ tests/test_process.py::TestProcess::test_terminal
+ tests/test_unicode.py::TestFSAPIs::test_memory_maps
+ )
+
+ # Since we are running in an environment a bit similar to CI,
+ # let's skip the tests that are disabled for CI
+ local -x TRAVIS=1
+ local -x APPVEYOR=1
+ local -x GITHUB_ACTIONS=1
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ rm -rf psutil || die
+ epytest --pyargs psutil
+}
+
+python_compile() {
+ # Force -j1 to avoid .o linking race conditions
+ local MAKEOPTS=-j1
+ distutils-r1_python_compile
+}
diff --git a/dev-python/pyclipper/Manifest b/dev-python/pyclipper/Manifest
index ba9ca6c998d5..f316b30cc1e8 100644
--- a/dev-python/pyclipper/Manifest
+++ b/dev-python/pyclipper/Manifest
@@ -1 +1,2 @@
DIST pyclipper-1.3.0.post5.gh.tar.gz 51150 BLAKE2B 2751dbc2ca6c8ad664a1185f00c644b084e13bbb4bb54895003799988b8d56542dd4d4b793bfa33391aece59097e1ca9ee159631b844f41ade862ed187ed5dae SHA512 24dd783449fdefb035627289680959ca4a74f737573518d14fe899ec015a7f8781b391df861e1f8986d6e71c8295743ef5fa048f5da22dd493f5940e25a7f185
+DIST pyclipper-1.3.0.post6.gh.tar.gz 51242 BLAKE2B d7102d293cb5ceb1b7da62c7dd607d6251b0d525034c1039413b0f17db34d3168908344ecdd999ec2ce6015bb61ab0ec7c80078ca632a6aa859de64cea861991 SHA512 0777e088347d2e8a97ae2f217a678159acc3f62b193bdfa11dab9385a1ee692d19d53c1d3934c5dfa510c9bc8b669e07fd8c6dcbf62d8bc1a9119935be445060
diff --git a/dev-python/pyclipper/pyclipper-1.3.0_p6.ebuild b/dev-python/pyclipper/pyclipper-1.3.0_p6.ebuild
new file mode 100644
index 000000000000..b3dc0f2715f7
--- /dev/null
+++ b/dev-python/pyclipper/pyclipper-1.3.0_p6.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+MY_P=${P/_p/.post}
+DESCRIPTION="Cython wrapper for the C++ translation of the Angus Johnson's Clipper library"
+HOMEPAGE="
+ https://github.com/fonttools/pyclipper/
+ https://pypi.org/project/pyclipper/
+"
+SRC_URI="
+ https://github.com/fonttools/pyclipper/archive/${PV/_p/.post}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION="${PV/_p/.post}"
diff --git a/dev-python/pyproject-fmt/metadata.xml b/dev-python/pyproject-fmt/metadata.xml
index a0d4c5913ba0..7ad11570cc7d 100644
--- a/dev-python/pyproject-fmt/metadata.xml
+++ b/dev-python/pyproject-fmt/metadata.xml
@@ -6,5 +6,4 @@
</maintainer>
<origin>gentoo-staging</origin>
- <stabilize-allarches/>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/python-openstackclient/Manifest b/dev-python/python-openstackclient/Manifest
index ec62c8678b54..8e95c9c5f9f3 100644
--- a/dev-python/python-openstackclient/Manifest
+++ b/dev-python/python-openstackclient/Manifest
@@ -1,3 +1,4 @@
DIST python-openstackclient-7.0.0.tar.gz 946254 BLAKE2B 4120797686453671ae47a0ce57856ec8424da7a38df3f478b1fb455a4af9dbdee6365dc9efbe750e8062f87f9a8fa218ed04de75bdc97af5cee763e31338199f SHA512 9e541b33abf5b3fad6f05782f1c16377b497b099a227490d9405da5140f11a73abba75c9a7021df7d129a4653316b742e16b4c049ef1f26b961d35a281618ebc
DIST python-openstackclient-7.1.2.tar.gz 946854 BLAKE2B ce6eedb2c9154facde4b70332526d7d83451cd437274c3a25f343ee13fcb09fc4a77f7e82e3f00f17e8fa89b0877eed4f826d345e96e0eaf51e02c9e0a675ae2 SHA512 58b7c87fd60dcbfb559cbbdb41d9a48b97de19dde1117f7277b331d5947b62df4a2806070a7da28d6d00b6ce73d7b4fe2b5c6b2965605fb7fd9c6507e978bc80
DIST python-openstackclient-7.1.3.tar.gz 946836 BLAKE2B e9e5a4a43619d1681080f3d980017098e615eb624c465bb6d69303b49e69307e336d1a6076eb0bb2198fac7992bf3eeb77a4945197152e270b996222cde0dee4 SHA512 fc97809ffecd051d61f300e82d71a0fe8e4fd4b4e3ae22ce99f3ae2363cfb82c70c8f42dd61ca105f46c691a0fed4e6225dcd7af644e48f2c56b33197ead169e
+DIST python-openstackclient-7.2.0.tar.gz 947396 BLAKE2B b323d320a5235b5899f5dd03f7e236b0043b432d98ca513f955e00a78bda8b2e392706ab5e565014d3a43c544196e1fb3059e222f6296772ab78ab2dfa21a714 SHA512 36a1314c80320baaf02250aa4140913336f10394b7477b3b3f99c23a2cd43e575b7a2fd9416731f2d12cc78cda84ef076c9a7649852cfb38442b97b3bb4cccf1
diff --git a/dev-python/python-openstackclient/python-openstackclient-7.2.0.ebuild b/dev-python/python-openstackclient/python-openstackclient-7.2.0.ebuild
new file mode 100644
index 000000000000..ca3cf1b09f86
--- /dev/null
+++ b/dev-python/python-openstackclient/python-openstackclient-7.2.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A client for the OpenStack APIs"
+HOMEPAGE="
+ https://opendev.org/openstack/python-openstackclient/
+ https://github.com/openstack/python-openstackclient/
+ https://pypi.org/project/python-openstackclient/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/cliff-3.5.0[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-2.7[${PYTHON_USEDEP}]
+ >=dev-python/openstacksdk-3.3.0[${PYTHON_USEDEP}]
+ >=dev-python/osc-lib-2.3.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+ >=dev-python/python-keystoneclient-3.22.0[${PYTHON_USEDEP}]
+ >=dev-python/python-cinderclient-3.3.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.27.0[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-2.0.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-mock-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/tempest-17.1.0[${PYTHON_USEDEP}]
+ >=dev-python/wrapt-1.7.0[${PYTHON_USEDEP}]
+ >=dev-python/ddt-1.0.1[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # Depends on a specific runner
+ sed -e 's/test_command_has_logger/_&/' \
+ -i openstackclient/tests/unit/common/test_command.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # functional tests require cloud instance access
+ eunittest -b openstackclient/tests/unit
+}
diff --git a/dev-python/simsimd/Manifest b/dev-python/simsimd/Manifest
index 07fc2b0a3910..8640d8983b8f 100644
--- a/dev-python/simsimd/Manifest
+++ b/dev-python/simsimd/Manifest
@@ -1,3 +1,2 @@
-DIST SimSIMD-5.6.4.gh.tar.gz 164134 BLAKE2B 65f0aa8ef132ef9a05a3cac03e6773adfbca1b5860952563ca6e7f7ce322d71d3de137705f9c1fbd1cc53a23feade46fcb1f100e6489e03a1ff51ea5b571c5e9 SHA512 f20cd5bb3011e87ceed7f7a6b82b9805fa1b3fb2dc8aadda145d37580573f50bae44442202b5af19a5372e77ac5499ea0015f2e00011a1e8d0272ba991d46606
-DIST SimSIMD-5.7.2.gh.tar.gz 180385 BLAKE2B ac2a05d45244fbc55da67e1cefffc042d58da192c9c5935a5a236cb8907b6f26414c873515c687e25f3dd6c41ea166ed2771ad0036a32f0f6d2a1d7419e4df53 SHA512 dd3dcf29e136facf98ebec197a00fcfb720f5d9372bd3576a5a9203221f04ad08d5076c57c79ccc3fe238c31f6159ef5b43e16e676cb785b6ad93451a1518607
DIST SimSIMD-5.7.3.gh.tar.gz 181144 BLAKE2B e00704d3a33c3bec6422f2c0a4e7c2d11c124cf8be898334317f5a4cf73b6ed5143b6c07efb9fb167ec786e0da0812072d141fc778642df21e93d18404238fa2 SHA512 ab78d4415ed0f2964470ccd36d3d737a2715b1a5a4222613d2f0f4be6a516da0e339329cbd421c6b7f6a1bc701da6ec2f3937cba5a8ea1f632beea8000d90c8f
+DIST SimSIMD-5.8.0.gh.tar.gz 183559 BLAKE2B 2df0eac6eff58bc6c460b37cb7c523eae5d7e77d516bc7182ef3b39d033a1028d40536aaf99ad8ec8c28b4908ff873079ff0ca3d74acd1f763b0faaa5d4e225e SHA512 4e68050379dfe42e6c36a88a0defad0d941c873bda66cb4c65bd8367b07bca99a5c5d6eec7c8e39b15ad1b8e5bcc9dc7f43457d8552e9d72faefb88b03ad6f9b
diff --git a/dev-python/simsimd/simsimd-5.6.4.ebuild b/dev-python/simsimd/simsimd-5.6.4.ebuild
deleted file mode 100644
index abb8c49c671f..000000000000
--- a/dev-python/simsimd/simsimd-5.6.4.ebuild
+++ /dev/null
@@ -1,64 +0,0 @@
-# Copyright 2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
-
-inherit distutils-r1 toolchain-funcs
-
-MY_P=SimSIMD-${PV}
-DESCRIPTION="Fastest SIMD-Accelerated Vector Similarity Functions for x86 and Arm"
-HOMEPAGE="
- https://github.com/ashvardanian/SimSIMD/
- https://pypi.org/project/simsimd/
-"
-# no sdist, as of 4.3.1
-# https://github.com/ashvardanian/SimSIMD/issues/113
-SRC_URI="
- https://github.com/ashvardanian/SimSIMD/archive/v${PV}.tar.gz
- -> ${MY_P}.gh.tar.gz
-"
-S=${WORKDIR}/${MY_P}
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE="openmp"
-
-BDEPEND="
- test? (
- dev-python/pytest-repeat[${PYTHON_USEDEP}]
- dev-python/tabulate[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-pkg_pretend() {
- if [[ ${MERGE_TYPE} != binary ]] && use openmp; then
- tc-check-openmp
- fi
-}
-
-pkg_setup() {
- if [[ ${MERGE_TYPE} != binary ]] && use openmp; then
- tc-check-openmp
- fi
-}
-
-src_prepare() {
- sed -i -e '/-O3/d' setup.py || die
- if ! use openmp; then
- sed -i -e '/-fopenmp/d' setup.py || die
- fi
-
- distutils-r1_src_prepare
-}
-
-python_test() {
- local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
- epytest -p repeat python/test.py
-}
diff --git a/dev-python/simsimd/simsimd-5.7.2.ebuild b/dev-python/simsimd/simsimd-5.8.0.ebuild
index 61d7aca0a9fa..61d7aca0a9fa 100644
--- a/dev-python/simsimd/simsimd-5.7.2.ebuild
+++ b/dev-python/simsimd/simsimd-5.8.0.ebuild